--- /usr/lib/nagios/plugins/check_email_loop	2006-07-11 18:39:04.599062688 +0200
+++ nagios-plugins-HEAD-200607121152/contrib/check_email_loop.pl	2005-11-30 00:21:06.000000000 +0100
@@ -43,7 +43,7 @@
 my $TIMEOUT = 120;
 my %ERRORS = ('OK' , '0',
               'WARNING', '1',
-              'CRITICAL', '2',
+              'CRITICAL', '2');
               'UNKNOWN' , '3');
 
 my $state = "UNKNOWN";
@@ -176,7 +176,7 @@
 	my @msgsubject = grep /^Subject/, @msglines;
 	chomp @msgsubject;
 	# Scan Subject if email is an Email-Ping. In fact we match and delete also successfully retrieved messages here again.
-	if (!defined $keeporphaned && $msgsubject[0] && $msgsubject[0] =~ /E-Mail Ping \[/) {
+	if (!defined $keeporphaned && $msgsubject[0] =~ /E-Mail Ping \[/) {
 	    $pop->delete($msgcount);  # remove E-Mail from POP3 server
 	}
 
@@ -245,7 +245,7 @@
   print "   -popuser=text      Username of the POP3-account\n";
   print	"   -passwd=text       Password for the POP3-user\n";
   print	"   -poptimeout=num    Timeout in seconds for the POP3-server\n";
-  print "   -smtphost=text     IP or name of the SMTP host\n";
+  print "   -smtphost=text     IP oder name of the SMTP host\n";
   print "   -smtptimeout=num   Timeout in seconds for the SMTP-server\n";
   print "   -statfile=text     File to save ids of messages ($statfile)\n";
   print "   -interval=num      Time (in minutes) that must pass by before sending\n";
@@ -290,7 +290,7 @@
   $id =~ s/^LI/ID/;    # evtl. remove lost mail mark
   @tmp = grep /E-Mail Ping \[/, @$mailref;
   chomp @tmp;
-  if ($tmp[0] && $tmp[0] =~ /$id/)
+  if (($tmp[0] =~ /$id/)) 
     { $match = 1; }
 
   # Sender:
